package com.wechi.adweb.bridge.auth;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author wfansh
 */
@Configuration
public class SecurityConfig implements WebMvcConfigurer {

    private AuthInterceptor authInterceptor = new AuthInterceptor();

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(authInterceptor)
                .addPathPatterns("/api/**"); // Intercepts all paths under /api/
    }
}
