package com.wechi.adweb.bridge.exception;

import com.wechi.adweb.bridge.common.OpenAPIRequest;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wfansh
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BadRequestException extends Exception {

    private OpenAPIRequest<?> apiRequest;

    public BadRequestException(OpenAPIRequest<?> apiRequest) {
        this.apiRequest = apiRequest;
    }

    public BadRequestException(String message, OpenAPIRequest<?> apiRequest) {
        super(message);
        this.apiRequest = apiRequest;
    }
}
