package com.wechi.adweb.bridge.google.gtm.dto;

import com.wechi.adweb.bridge.google.common.ResourceDTO;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * @author wfansh
 */
@Data
@SuperBuilder
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class GTMVersionDTO extends ResourceDTO {

    private String accountId;

    private String containerId;

    private boolean deleted;

    private String description;

    private String fingerprint;
}
