package com.wechi.adweb.bridge.google.analytics.service;

import com.wechi.adweb.bridge.exception.DataException;
import com.wechi.adweb.bridge.google.analytics.dto.GAPropertyDTO;
import com.wechi.adweb.bridge.util.JsonUtils;

import org.apache.commons.lang3.RandomStringUtils;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class GAAdminServiceTests {

    private @Autowired GAAdminService gaAdminService;

    private final String accountResourceName = "accounts/191734056";

    @Test
    @Disabled("Disabled due to operations on the production account.")
    void testCreateProperty() throws DataException {

        GAPropertyDTO gaProperty =
                gaAdminService.createPropertyWithDataStream(
                        accountResourceName,
                        "AdWeb3 Test #" + RandomStringUtils.randomNumeric(5),
                        "https://www.adwebcloud.com/");

        System.out.println(JsonUtils.toJson(gaProperty));
        gaAdminService.deleteProperty(gaProperty.getResourceName());
    }
}
