package com.wechi.adweb.bridge.auth;

import io.swagger.v3.oas.annotations.enums.SecuritySchemeType;
import io.swagger.v3.oas.annotations.security.SecurityScheme;

import org.springframework.http.HttpHeaders;

/**
 * Configures Swagger UI to support authorization using the HTTP bearer token.
 *
 * @author wfansh
 */
@SecurityScheme(
        name = SwaggerConfig.SECURITY_SCHEMA_NAME,
        type = SecuritySchemeType.HTTP,
        scheme = "bearer")
public class SwaggerConfig {
    public static final String SECURITY_SCHEMA_NAME = HttpHeaders.AUTHORIZATION;
}
