package com.wechi.adweb.bridge.common;

import com.wechi.adweb.bridge.auth.SwaggerConfig;

import io.swagger.v3.oas.annotations.security.SecurityRequirement;

/**
 * @author wfansh
 */
@SecurityRequirement(name = SwaggerConfig.SECURITY_SCHEMA_NAME) // Swagger UI authorization support
public abstract class BaseController {

    protected double getElapsedSeconds(long start) {
        long now = System.currentTimeMillis();
        long elapsedMilliSeconds = now - start;
        return (double) elapsedMilliSeconds / 1000;
    }
}
