package com.wechi.adweb.bridge.google.analytics.dto.report;

import lombok.Data;

import java.util.List;

/**
 * @author wfansh
 */
@Data
public class GAReportRequestDTO {

    private String propertyResourceName;

    private ReportType reportType;

    private String startDate;

    private String endDate;

    /** Use default values in {@link ReportType} instead. */
    @Deprecated private List<String> metrics;

    /** Use default values in {@link ReportType} instead. */
    @Deprecated private List<String> dimensions;

    /** Use default values in {@link ReportType} instead. */
    @Deprecated private String orderBy;

    /** Use default values in {@link ReportType} instead. */
    @Deprecated private OrderByType orderByType;

    /** Use default values in {@link ReportType} instead. */
    @Deprecated private Boolean orderByDesc;
}
