package com.wechi.adweb.bridge.google.gtm.dto;

import com.wechi.adweb.bridge.google.common.ResourceDTO;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import org.apache.commons.lang3.StringUtils;

/**
 * @author wfansh
 */
@Data
@SuperBuilder
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class GTMAccountDTO extends ResourceDTO {

    private boolean supportUserPermissions;

    private boolean supportMultipleContainers;

    public static String toResourceName(String id) {
        return StringUtils.isNumeric(id) ? "accounts" + RESOURCE_NAME_SPLITTER + id : id;
    }
}
